diff --git a/src/main/java/net/minecraft/client/net/handler/ClientPacketHandler.java b/src/main/java/net/minecraft/client/net/handler/ClientPacketHandler.java
index c56abf098..ca39d4ace 100644
--- a/src/main/java/net/minecraft/client/net/handler/ClientPacketHandler.java
+++ b/src/main/java/net/minecraft/client/net/handler/ClientPacketHandler.java
@@ -166,48 +166,48 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handlePickupSpawn(AddItemEntityPacket itemEntityPacket)
+    public void handlePickupSpawn(AddItemEntityPacket addItemEntityPacket)
     {
-        double x = itemEntityPacket.xPosition / 32D;
-        double y = itemEntityPacket.yPosition / 32D;
-        double z = itemEntityPacket.zPosition / 32D;
-        ItemEntity itemEntity = new ItemEntity(worldClient, x, y, z, new ItemStack(itemEntityPacket.itemID, itemEntityPacket.count, itemEntityPacket.itemDamage, itemEntityPacket.tag));
-        itemEntity.xd = (double) itemEntityPacket.xd / 128D;
-        itemEntity.yd = (double) itemEntityPacket.yd / 128D;
-        itemEntity.zd = (double) itemEntityPacket.zd / 128D;
-        itemEntity.serverPosX = itemEntityPacket.xPosition;
-        itemEntity.serverPosY = itemEntityPacket.yPosition;
-        itemEntity.serverPosZ = itemEntityPacket.zPosition;
-        worldClient.addEntityToWorld(itemEntityPacket.entityId, itemEntity);
+        double x = addItemEntityPacket.xPosition / 32D;
+        double y = addItemEntityPacket.yPosition / 32D;
+        double z = addItemEntityPacket.zPosition / 32D;
+        ItemEntity itemEntity = new ItemEntity(worldClient, x, y, z, new ItemStack(addItemEntityPacket.itemID, addItemEntityPacket.count, addItemEntityPacket.itemDamage, addItemEntityPacket.tag));
+        itemEntity.xd = (double) addItemEntityPacket.xd / 128D;
+        itemEntity.yd = (double) addItemEntityPacket.yd / 128D;
+        itemEntity.zd = (double) addItemEntityPacket.zd / 128D;
+        itemEntity.serverPosX = addItemEntityPacket.xPosition;
+        itemEntity.serverPosY = addItemEntityPacket.yPosition;
+        itemEntity.serverPosZ = addItemEntityPacket.zPosition;
+        worldClient.addEntityToWorld(addItemEntityPacket.entityId, itemEntity);
     }
 
 
     @Override
-    public void handleVehicleSpawn(AddEntityPacket packet23) {
-        if (!NetEntityHandler.hasType(packet23.type)){ return; }
-        double xPosition = ((double) packet23.xPosition) / 32D;
-        double yPosition = ((double) packet23.yPosition) / 32D;
-        double zPosition = ((double) packet23.zPosition) / 32D;
+    public void handleVehicleSpawn(AddEntityPacket addEntityPacket) {
+        if (!NetEntityHandler.hasType(addEntityPacket.type)){ return; }
+        double xPosition = ((double) addEntityPacket.xPosition) / 32D;
+        double yPosition = ((double) addEntityPacket.yPosition) / 32D;
+        double zPosition = ((double) addEntityPacket.zPosition) / 32D;
         Entity owner;
-        if (packet23.ownerId >= 0){
-            owner = getEntityByID(packet23.ownerId);
+        if (addEntityPacket.ownerId >= 0){
+            owner = getEntityByID(addEntityPacket.ownerId);
         } else {
             owner = null;
         }
-        Entity newEntity = NetEntityHandler.getTypeEntry(packet23.type).getEntity(worldClient, xPosition, yPosition, zPosition, packet23.metaData, packet23.hasVelocity, packet23.xVelocity / 8000D, packet23.yVelocity / 8000D, packet23.zVelocity / 8000D, owner);
+        Entity newEntity = NetEntityHandler.getTypeEntry(addEntityPacket.type).getEntity(worldClient, xPosition, yPosition, zPosition, addEntityPacket.metaData, addEntityPacket.hasVelocity, addEntityPacket.xVelocity / 8000D, addEntityPacket.yVelocity / 8000D, addEntityPacket.zVelocity / 8000D, owner);
         if (newEntity != null) {
-            newEntity.serverPosX = packet23.xPosition;
-            newEntity.serverPosY = packet23.yPosition;
-            newEntity.serverPosZ = packet23.zPosition;
-            newEntity.yRot = packet23.yaw;
-            newEntity.xRot = packet23.pitch;
-            newEntity.id = packet23.entityId;
-            worldClient.addEntityToWorld(packet23.entityId, newEntity);
+            newEntity.serverPosX = addEntityPacket.xPosition;
+            newEntity.serverPosY = addEntityPacket.yPosition;
+            newEntity.serverPosZ = addEntityPacket.zPosition;
+            newEntity.yRot = addEntityPacket.yaw;
+            newEntity.xRot = addEntityPacket.pitch;
+            newEntity.id = addEntityPacket.entityId;
+            worldClient.addEntityToWorld(addEntityPacket.entityId, newEntity);
             if (owner instanceof Mob && newEntity instanceof Projectile){
                 ((Projectile) newEntity).owner = (Mob) owner;
             }
-            if (packet23.hasVelocity){
-                newEntity.lerpMotion(((double) packet23.xVelocity) / 8000D, ((double) packet23.yVelocity) / 8000D, ((double) packet23.zVelocity) / 8000D);
+            if (addEntityPacket.hasVelocity){
+                newEntity.lerpMotion(((double) addEntityPacket.xVelocity) / 8000D, ((double) addEntityPacket.yVelocity) / 8000D, ((double) addEntityPacket.zVelocity) / 8000D);
             }
         }
     }
@@ -244,69 +244,69 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handleEntityPainting(AddPaintingPacket packet)
+    public void handleEntityPainting(AddPaintingPacket addPaintingPacket)
     {
-        Entity entity = worldClient.getEntityFromId(packet.entityId);
+        Entity entity = worldClient.getEntityFromId(addPaintingPacket.entityId);
         if (entity instanceof PaintingEntity){
             PaintingEntity painting = (PaintingEntity) entity;
-            painting.blockX = packet.xPosition;
-            painting.blockY = packet.yPosition;
-            painting.blockZ = packet.zPosition;
+            painting.blockX = addPaintingPacket.xPosition;
+            painting.blockY = addPaintingPacket.yPosition;
+            painting.blockZ = addPaintingPacket.zPosition;
 
-            if (ArtType.map.containsKey(packet.key)) painting.art = ArtType.map.get(packet.key);
+            if (ArtType.map.containsKey(addPaintingPacket.key)) painting.art = ArtType.map.get(addPaintingPacket.key);
 
-            painting.setDirection(packet.direction);
-            if (packet.itemID > 0){
-                painting.setStack(new ItemStack(packet.itemID, 1, packet.meta));
+            painting.setDirection(addPaintingPacket.direction);
+            if (addPaintingPacket.itemID > 0){
+                painting.setStack(new ItemStack(addPaintingPacket.itemID, 1, addPaintingPacket.meta));
             }
         } else {
-            PaintingEntity entitypainting = new PaintingEntity(worldClient, packet.xPosition, packet.yPosition, packet.zPosition, packet.direction, packet.key);
-            worldClient.addEntityToWorld(packet.entityId, entitypainting);
-            if (packet.itemID > 0){
-                entitypainting.setStack(new ItemStack(packet.itemID, 1, packet.meta));
+            PaintingEntity entitypainting = new PaintingEntity(worldClient, addPaintingPacket.xPosition, addPaintingPacket.yPosition, addPaintingPacket.zPosition, addPaintingPacket.direction, addPaintingPacket.key);
+            worldClient.addEntityToWorld(addPaintingPacket.entityId, entitypainting);
+            if (addPaintingPacket.itemID > 0){
+                entitypainting.setStack(new ItemStack(addPaintingPacket.itemID, 1, addPaintingPacket.meta));
             }
         }
 
     }
 
     @Override
-    public void handleEntityVelocity(SetEntityMotionPacket setEntityvelocity)
+    public void handleEntityVelocity(SetEntityMotionPacket setEntityMotionPacket)
     {
-        Entity entity = getEntityByID(setEntityvelocity.entityId);
+        Entity entity = getEntityByID(setEntityMotionPacket.entityId);
         if (entity == null)
         {
             return;
         }
         else
         {
-            entity.lerpMotion((double) setEntityvelocity.motionX / 8000D, (double) setEntityvelocity.motionY / 8000D, (double) setEntityvelocity.motionZ / 8000D);
+            entity.lerpMotion((double) setEntityMotionPacket.motionX / 8000D, (double) setEntityMotionPacket.motionY / 8000D, (double) setEntityMotionPacket.motionZ / 8000D);
             return;
         }
     }
 
     @Override
-    public void handleEntityMetadata(SetEntityDataPacket entityDataPacket)
+    public void handleEntityMetadata(SetEntityDataPacket setEntityDataPacket)
     {
-        Entity entity = getEntityByID(entityDataPacket.entityId);
-        if (entity != null && entityDataPacket.getUnpackedData() != null)
+        Entity entity = getEntityByID(setEntityDataPacket.entityId);
+        if (entity != null && setEntityDataPacket.getUnpackedData() != null)
         {
-            entity.getEntityData().assignValues(entityDataPacket.getUnpackedData());
+            entity.getEntityData().assignValues(setEntityDataPacket.getUnpackedData());
         }
     }
 
     @Override
-    public void handleNamedEntitySpawn(AddPlayerPacket playerPacket)
-    {
-        double d = (double) playerPacket.xPosition / 32D;
-        double d1 = (double) playerPacket.yPosition / 32D;
-        double d2 = (double) playerPacket.zPosition / 32D;
-        float f = (float) (playerPacket.rotation * 360) / 256F;
-        float f1 = (float) (playerPacket.pitch * 360) / 256F;
-        RemotePlayer remotePlayer = new RemotePlayer(mc.theWorld, playerPacket.name, playerPacket.uuid);
-        remotePlayer.xo = remotePlayer.serverPosX = playerPacket.xPosition;
-        remotePlayer.yo = remotePlayer.serverPosY = playerPacket.yPosition;
-        remotePlayer.zo = remotePlayer.serverPosZ = playerPacket.zPosition;
-        int i = playerPacket.currentItem;
+    public void handleNamedEntitySpawn(AddPlayerPacket addPlayerPacket)
+    {
+        double d = (double) addPlayerPacket.xPosition / 32D;
+        double d1 = (double) addPlayerPacket.yPosition / 32D;
+        double d2 = (double) addPlayerPacket.zPosition / 32D;
+        float f = (float) (addPlayerPacket.rotation * 360) / 256F;
+        float f1 = (float) (addPlayerPacket.pitch * 360) / 256F;
+        RemotePlayer remotePlayer = new RemotePlayer(mc.theWorld, addPlayerPacket.name, addPlayerPacket.uuid);
+        remotePlayer.xo = remotePlayer.serverPosX = addPlayerPacket.xPosition;
+        remotePlayer.yo = remotePlayer.serverPosY = addPlayerPacket.yPosition;
+        remotePlayer.zo = remotePlayer.serverPosZ = addPlayerPacket.zPosition;
+        int i = addPlayerPacket.currentItem;
         if (i == 0)
         {
             remotePlayer.inventory.mainInventory[remotePlayer.inventory.getCurrentItemIndex()] = null;
@@ -316,31 +316,31 @@ public class ClientPacketHandler extends PacketHandler
             remotePlayer.inventory.mainInventory[remotePlayer.inventory.getCurrentItemIndex()] = new ItemStack(i, 1, 0);
         }
         remotePlayer.absMoveTo(d, d1, d2, f, f1);
-        worldClient.addEntityToWorld(playerPacket.entityId, remotePlayer);
-        remotePlayer.nickname = StringUtils.substring(playerPacket.nickname, 0, 32);
-        remotePlayer.chatColor = playerPacket.chatColor;
+        worldClient.addEntityToWorld(addPlayerPacket.entityId, remotePlayer);
+        remotePlayer.nickname = StringUtils.substring(addPlayerPacket.nickname, 0, 32);
+        remotePlayer.chatColor = addPlayerPacket.chatColor;
 
-        remotePlayer.setHeldObject(playerPacket.heldObjectTag == null ? null : ICarriable.createAndLoadCarriable(remotePlayer, playerPacket.heldObjectTag));
+        remotePlayer.setHeldObject(addPlayerPacket.heldObjectTag == null ? null : ICarriable.createAndLoadCarriable(remotePlayer, addPlayerPacket.heldObjectTag));
     }
 
     @Override
-    public void handleEntityTeleport(TeleportEntityPacket packet34EntityteleportEntityPacket)
+    public void handleEntityTeleport(TeleportEntityPacket teleportEntityPacket)
     {
-        Entity entity = getEntityByID(packet34EntityteleportEntityPacket.id);
+        Entity entity = getEntityByID(teleportEntityPacket.id);
         if (entity == null)
         {
             return;
         }
         else
         {
-            entity.serverPosX = packet34EntityteleportEntityPacket.x;
-            entity.serverPosY = packet34EntityteleportEntityPacket.y;
-            entity.serverPosZ = packet34EntityteleportEntityPacket.z;
+            entity.serverPosX = teleportEntityPacket.x;
+            entity.serverPosY = teleportEntityPacket.y;
+            entity.serverPosZ = teleportEntityPacket.z;
             double d = (double) entity.serverPosX / 32D;
             double d1 = (double) entity.serverPosY / 32D + 0.015625D;
             double d2 = (double) entity.serverPosZ / 32D;
-            float f = (float) (packet34EntityteleportEntityPacket.yaw * 360) / 256F;
-            float f1 = (float) (packet34EntityteleportEntityPacket.pitch * 360) / 256F;
+            float f = (float) (teleportEntityPacket.yaw * 360) / 256F;
+            float f1 = (float) (teleportEntityPacket.pitch * 360) / 256F;
             entity.lerpTo(d, d1, d2, f, f1, 3);
             return;
         }
@@ -370,10 +370,10 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handleEntityTagData(EntityTagDataPacket packet) {
-        Entity entity = getEntityByID(packet.entityId);
+    public void handleEntityTagData(EntityTagDataPacket entityTagDataPacket) {
+        Entity entity = getEntityByID(entityTagDataPacket.entityId);
         if (entity != null) {
-            entity.readAdditionalSaveData(packet.tag);
+            entity.readAdditionalSaveData(entityTagDataPacket.tag);
         }
     }
 
@@ -399,9 +399,9 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handleDestroyEntity(RemoveEntityPacket packet29DestroyentityPacket)
+    public void handleDestroyEntity(RemoveEntityPacket removeEntityPacket)
     {
-        worldClient.removeEntityFromWorld(packet29DestroyentityPacket.entityId);
+        worldClient.removeEntityFromWorld(removeEntityPacket.entityId);
     }
 
     @Override
@@ -430,7 +430,6 @@ public class ClientPacketHandler extends PacketHandler
         movePlayerPacket.x = ((Player) (entityplayersp)).x;
         movePlayerPacket.y = ((Player) (entityplayersp)).bb.minY;
         movePlayerPacket.z = ((Player) (entityplayersp)).z;
-        movePlayerPacket.yView = ((Player) (entityplayersp)).y;
         netManager.addToSendQueue(movePlayerPacket);
         if (!started)
         {
@@ -443,42 +442,42 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handlePreChunk(ChunkVisibilityPacket packet50PrechunkVisibilityPacket)
+    public void handlePreChunk(ChunkVisibilityPacket chunkVisibilityPacket)
     {
-        worldClient.doPreChunk(packet50PrechunkVisibilityPacket.xPosition, packet50PrechunkVisibilityPacket.yPosition, packet50PrechunkVisibilityPacket.mode);
+        worldClient.doPreChunk(chunkVisibilityPacket.chunkX, chunkVisibilityPacket.chunkZ, chunkVisibilityPacket.playerAdded);
     }
 
     @Override
-    public void handleMultiBlockChange(ChunkBlocksUpdatePacket packet)
+    public void handleMultiBlockChange(ChunkBlocksUpdatePacket chunkBlocksUpdatePacket)
     {
-        int xBase = packet.xChunk * 16;
-        int zBase = packet.zChunk * 16;
-        for (int k = 0; k < packet.size; k++)
+        int xBase = chunkBlocksUpdatePacket.xChunk * 16;
+        int zBase = chunkBlocksUpdatePacket.zChunk * 16;
+        for (int k = 0; k < chunkBlocksUpdatePacket.size; k++)
         {
-            int coord = packet.coordinateArray[k];
-            int type = packet.typeArray[k] & 0x3fff;
-            byte data = packet.metadataArray[k];
+            int coord = chunkBlocksUpdatePacket.coordinateArray[k];
+            int type = chunkBlocksUpdatePacket.typeArray[k] & 0x3fff;
+            byte data = chunkBlocksUpdatePacket.metadataArray[k];
             int x = coord >> 0 & 0xf;
             int y = coord >> 8 & 0xff;
             int z = coord >> 4 & 0xf;
             worldClient.setBlockAndMetadataWithNotify(x + xBase, y, z + zBase, type, data);
-            worldClient.func_711_c(x + xBase, y, z + zBase, x + xBase, y, z + zBase);
+            worldClient.removePositionTypesInBounds(x + xBase, y, z + zBase, x + xBase, y, z + zBase);
             worldClient.markBlocksDirty(x + xBase, y, z + zBase, x + xBase, y, z + zBase);
         }
 
     }
 
     @Override
-    public void handleMapChunk(BlockRegionUpdatePacket packet)
+    public void handleMapChunk(BlockRegionUpdatePacket blockRegionUpdatePacket)
     {
-        worldClient.func_711_c(packet.xPosition, packet.yPosition, packet.zPosition, (packet.xPosition + packet.xSize) - 1, (packet.yPosition + packet.ySize) - 1, (packet.zPosition + packet.zSize) - 1);
-        worldClient.setChunkData(packet.xPosition, packet.yPosition, packet.zPosition, packet.xSize, packet.ySize, packet.zSize, packet.chunk);
+        worldClient.removePositionTypesInBounds(blockRegionUpdatePacket.xPosition, blockRegionUpdatePacket.yPosition, blockRegionUpdatePacket.zPosition, (blockRegionUpdatePacket.xPosition + blockRegionUpdatePacket.xSize) - 1, (blockRegionUpdatePacket.yPosition + blockRegionUpdatePacket.ySize) - 1, (blockRegionUpdatePacket.zPosition + blockRegionUpdatePacket.zSize) - 1);
+        worldClient.setChunkData(blockRegionUpdatePacket.xPosition, blockRegionUpdatePacket.yPosition, blockRegionUpdatePacket.zPosition, blockRegionUpdatePacket.xSize, blockRegionUpdatePacket.ySize, blockRegionUpdatePacket.zSize, blockRegionUpdatePacket.chunk);
     }
 
     @Override
-    public void handleBlockChange(BlockUpdatePacket blockchange)
+    public void handleBlockUpdate(BlockUpdatePacket blockUpdatePacket)
     {
-        worldClient.blockChange(blockchange.xPosition, blockchange.yPosition, blockchange.zPosition, blockchange.type, blockchange.metadata);
+        worldClient.blockChange(blockUpdatePacket.xPosition, blockUpdatePacket.yPosition, blockUpdatePacket.zPosition, blockUpdatePacket.blockId, blockUpdatePacket.metadata);
     }
 
     @Override
@@ -493,7 +492,7 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handleErrorMessage(String s, Object[] errorLines)
+    public void handleErrorMessage(String message, Object[] objects)
     {
         if (!disconnected) {
             disconnected = true;
@@ -508,11 +507,11 @@ public class ClientPacketHandler extends PacketHandler
                 LOGGER.error("Exception when leaving GUI!", e);
             }
 
-            mc.displayScreen(new ConnectFailedScreen("disconnect.lost", s, errorLines)); // Open error message gui
+            mc.displayScreen(new ConnectFailedScreen("disconnect.lost", message, objects)); // Open error message gui
         }
     }
 
-    public void func_28117_a(Packet packet)
+    public void sendFinalPacket(Packet packet)
     {
         if (!disconnected) {
             netManager.addToSendQueue(packet);
@@ -706,56 +705,56 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handleMobSpawn(AddMobPacket addMobspawn)
-    {
-        double d = (double) addMobspawn.x / 32D;
-        double d1 = (double) addMobspawn.y / 32D;
-        double d2 = (double) addMobspawn.z / 32D;
-        float f = (float) (addMobspawn.yaw * 360) / 256F;
-        float f1 = (float) (addMobspawn.pitch * 360) / 256F;
-        Mob mob = (Mob) EntityDispatcher.createEntity(addMobspawn.type, mc.theWorld);
-        mob.serverPosX = addMobspawn.x;
-        mob.serverPosY = addMobspawn.y;
-        mob.serverPosZ = addMobspawn.z;
-        mob.id = addMobspawn.id;
+    public void handleMobSpawn(AddMobPacket addMobPacket)
+    {
+        double d = (double) addMobPacket.x / 32D;
+        double d1 = (double) addMobPacket.y / 32D;
+        double d2 = (double) addMobPacket.z / 32D;
+        float f = (float) (addMobPacket.yaw * 360) / 256F;
+        float f1 = (float) (addMobPacket.pitch * 360) / 256F;
+        Mob mob = (Mob) EntityDispatcher.createEntity(addMobPacket.type, mc.theWorld);
+        mob.serverPosX = addMobPacket.x;
+        mob.serverPosY = addMobPacket.y;
+        mob.serverPosZ = addMobPacket.z;
+        mob.id = addMobPacket.id;
         mob.absMoveTo(d, d1, d2, f, f1);
         mob.isMultiplayerEntity = true;
-        worldClient.addEntityToWorld(addMobspawn.id, mob);
-        List<SynchedEntityData.DataItem<?>> list = addMobspawn.getUnpackedData();
+        worldClient.addEntityToWorld(addMobPacket.id, mob);
+        List<SynchedEntityData.DataItem<?>> list = addMobPacket.getUnpackedData();
         if (list != null)
         {
             mob.getEntityData().assignValues(list);
         }
-        mob.nickname = StringUtils.substring(addMobspawn.nickname, 0, 32);
-        mob.chatColor = addMobspawn.chatColor;
+        mob.nickname = StringUtils.substring(addMobPacket.nickname, 0, 32);
+        mob.chatColor = addMobPacket.chatColor;
     }
 
     @Override
-    public void handleUpdateTime(SetTimePacket timePacket)
+    public void handleUpdateTime(SetTimePacket setTimePacket)
     {
-        mc.theWorld.setWorldTime(timePacket.time);
+        mc.theWorld.setWorldTime(setTimePacket.time);
     }
 
     @Override
-    public void handleSpawnPosition(SetSpawnPositionPacket setSpawnpositionPacket)
+    public void handleSpawnPosition(SetSpawnPositionPacket setSpawnPositionPacket)
     {
-        mc.thePlayer.setPlayerSpawnCoordinate(new ChunkCoordinates(setSpawnpositionPacket.x, setSpawnpositionPacket.y, setSpawnpositionPacket.z));
-        mc.theWorld.getLevelData().setSpawn(setSpawnpositionPacket.x, setSpawnpositionPacket.y, setSpawnpositionPacket.z);
+        mc.thePlayer.setPlayerSpawnCoordinate(new ChunkCoordinates(setSpawnPositionPacket.x, setSpawnPositionPacket.y, setSpawnPositionPacket.z));
+        mc.theWorld.getLevelData().setSpawn(setSpawnPositionPacket.x, setSpawnPositionPacket.y, setSpawnPositionPacket.z);
     }
 
     @Override
-    public void handleAttachEntity(SetRidingPacket packet)
+    public void handleAttachEntity(SetRidingPacket setRidingPacket)
     {
-        Entity passenger = getEntityByID(packet.passengerId);
+        Entity passenger = getEntityByID(setRidingPacket.passengerId);
         IVehicle vehicle;
-        if (packet.passengerId == mc.thePlayer.id)
+        if (setRidingPacket.passengerId == mc.thePlayer.id)
         {
             passenger = mc.thePlayer;
         }
-        if (packet.isTileEntity) {
-            vehicle = (IVehicle) worldClient.getBlockEntity(packet.x, packet.y, packet.z);
+        if (setRidingPacket.isTileEntity) {
+            vehicle = (IVehicle) worldClient.getBlockEntity(setRidingPacket.x, setRidingPacket.y, setRidingPacket.z);
         } else {
-            vehicle = getEntityByID(packet.vehicleId);
+            vehicle = getEntityByID(setRidingPacket.vehicleId);
         }
         if (passenger != null && vehicle != null) {
             passenger.startRiding(vehicle);
@@ -763,12 +762,12 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handleEntityStatus(EnitityEventPacket enitityEventPacket38Entitystatus)
+    public void handleEntityStatus(EnitityEventPacket enitityEventPacket)
     {
-        Entity entity = getEntityByID(enitityEventPacket38Entitystatus.entityId);
+        Entity entity = getEntityByID(enitityEventPacket.entityId);
         if (entity != null)
         {
-            entity.handleEntityEvent(enitityEventPacket38Entitystatus.entityStatus, enitityEventPacket38Entitystatus.attackedAtYaw);
+            entity.handleEntityEvent(enitityEventPacket.entityStatus, enitityEventPacket.attackedAtYaw);
         }
     }
 
@@ -785,9 +784,9 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handleUpdateHealth(SetHealthPacket healthPacket)
+    public void handleUpdateHealth(SetHealthPacket setHealthPacket)
     {
-        mc.thePlayer.setHealth(healthPacket.healthMP);
+        mc.thePlayer.setHealth(setHealthPacket.healthMP);
     }
 
     @Override
@@ -917,9 +916,9 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handlePhotoMode(PhotoModePacket packet)
+    public void handlePhotoMode(PhotoModePacket photoModePacket)
     {
-        PauseScreen.photoModeDisabled = packet.disabled;
+        PauseScreen.photoModeDisabled = photoModePacket.disabled;
     }
 
     @Override
@@ -971,35 +970,35 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handleWindowItems(ContainerSetContentPacket setContentPacket)
+    public void handleWindowItems(ContainerSetContentPacket containerSetContentPacket)
     {
-        if (setContentPacket.windowId == 0)
+        if (containerSetContentPacket.windowId == 0)
         {
-            mc.thePlayer.inventorySlots.setAll(setContentPacket.stackList);
+            mc.thePlayer.inventorySlots.setAll(containerSetContentPacket.stackList);
         }
-        else if (setContentPacket.windowId == mc.thePlayer.craftingInventory.containerId)
+        else if (containerSetContentPacket.windowId == mc.thePlayer.craftingInventory.containerId)
         {
-            mc.thePlayer.craftingInventory.setAll(setContentPacket.stackList);
+            mc.thePlayer.craftingInventory.setAll(containerSetContentPacket.stackList);
         }
     }
 
     @Override
-    public void handleUpdateProgressbar(ContainerSetDataPacket setDataPacket)
+    public void handleUpdateProgressbar(ContainerSetDataPacket containerSetDataPacket)
     {
-        handleInvalidPacket(setDataPacket);
-        if (mc.thePlayer.craftingInventory != null && mc.thePlayer.craftingInventory.containerId == setDataPacket.windowId)
+        handleInvalidPacket(containerSetDataPacket);
+        if (mc.thePlayer.craftingInventory != null && mc.thePlayer.craftingInventory.containerId == containerSetDataPacket.windowId)
         {
-            mc.thePlayer.craftingInventory.setData(setDataPacket.progressBar, setDataPacket.progressBarValue);
+            mc.thePlayer.craftingInventory.setData(containerSetDataPacket.progressBar, containerSetDataPacket.progressBarValue);
         }
     }
 
     @Override
-    public void handlePlayerInventory(SetEquippedItemPacket equippedItemPacket)
+    public void handlePlayerInventory(SetEquippedItemPacket setEquippedItemPacket)
     {
-        Entity entity = getEntityByID(equippedItemPacket.entityID);
+        Entity entity = getEntityByID(setEquippedItemPacket.entityID);
         if (entity != null)
         {
-            entity.setEquippedSlot(equippedItemPacket.slot, equippedItemPacket.itemID, equippedItemPacket.itemMeta, equippedItemPacket.itemData);
+            entity.setEquippedSlot(setEquippedItemPacket.slot, setEquippedItemPacket.itemID, setEquippedItemPacket.itemMeta, setEquippedItemPacket.itemData);
         }
     }
 
@@ -1018,9 +1017,9 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handlePlayNoteBlock(BlockEventPacket packet54PlaynoteblockEventPacket)
+    public void handleBlockEvent(BlockEventPacket blockEventPacket)
     {
-        mc.theWorld.triggerEvent(packet54PlaynoteblockEventPacket.xLocation, packet54PlaynoteblockEventPacket.yLocation, packet54PlaynoteblockEventPacket.zLocation, packet54PlaynoteblockEventPacket.instrumentType, packet54PlaynoteblockEventPacket.pitch);
+        mc.theWorld.triggerEvent(blockEventPacket.xLocation, blockEventPacket.yLocation, blockEventPacket.zLocation, blockEventPacket.index, blockEventPacket.data);
     }
 
     @Override
@@ -1047,9 +1046,9 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handlePlaySoundEffect(PlaySoundEffectPacket playsoundeffectPacket)
+    public void handlePlaySoundEffect(PlaySoundEffectPacket playSoundEffectPacket)
     {
-        mc.theWorld.playBlockEvent(playsoundeffectPacket.soundID, playsoundeffectPacket.x, playsoundeffectPacket.y, playsoundeffectPacket.z, playsoundeffectPacket.data);
+        mc.theWorld.playBlockEvent(playSoundEffectPacket.soundID, playSoundEffectPacket.x, playSoundEffectPacket.y, playSoundEffectPacket.z, playSoundEffectPacket.data);
     }
 
 	@Override
@@ -1128,14 +1127,14 @@ public class ClientPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handleTileEntityData(BlockEntityDataPacket packet)
+    public void handleTileEntityData(BlockEntityDataPacket blockEntityDataPacket)
     {
-        Class<?> clazz = BlockEntityDispatcher.getClassFromID(packet.tag.getString("id"));
+        Class<?> clazz = BlockEntityDispatcher.getClassFromID(blockEntityDataPacket.tag.getString("id"));
         if (clazz == null) return;
-        BlockEntity existingBlockEntity = worldClient.getBlockEntity(packet.tag.getInteger("x"), packet.tag.getInteger("y"), packet.tag.getInteger("z"));
+        BlockEntity existingBlockEntity = worldClient.getBlockEntity(blockEntityDataPacket.tag.getInteger("x"), blockEntityDataPacket.tag.getInteger("y"), blockEntityDataPacket.tag.getInteger("z"));
         if (existingBlockEntity == null || existingBlockEntity.getClass() != clazz)
         {
-            BlockEntity blockEntity = BlockEntityDispatcher.createAndLoadEntity(packet.tag);
+            BlockEntity blockEntity = BlockEntityDispatcher.createAndLoadEntity(blockEntityDataPacket.tag);
             if (blockEntity != null)
             {
                 mc.theWorld.setBlockTileEntity(blockEntity.x, blockEntity.y, blockEntity.z, blockEntity);
@@ -1143,9 +1142,9 @@ public class ClientPacketHandler extends PacketHandler
         }
         else
         {
-            existingBlockEntity.readFromNBT(packet.tag);
+            existingBlockEntity.readFromNBT(blockEntityDataPacket.tag);
         }
-        worldClient.markBlockDirty(packet.tag.getInteger("x"), packet.tag.getInteger("y"), packet.tag.getInteger("z"));
+        worldClient.markBlockDirty(blockEntityDataPacket.tag.getInteger("x"), blockEntityDataPacket.tag.getInteger("y"), blockEntityDataPacket.tag.getInteger("z"));
     }
 
     @Override
